# $Id$
# Authority: Scott Baker
# Upstream: https://github.com/scottchiefbaker/dool

Summary: Pluggable real-time performance monitoring tool
Name: dool
Version: 1.3.5
Release: 1
License: GPL
Group: System Environment/Base
URL: https://github.com/scottchiefbaker/dool

Source: https://github.com/scottchiefbaker/dool/releases/dool-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: python3 >= 3.0
Requires: python3 >= 3.0

%description
Dool is a versatile replacement for vmstat, iostat, netstat and ifstat.
Dool overcomes some of their limitations and adds some extra features,
more counters and flexibility. Dool is handy for monitoring systems
during performance tuning tests, benchmarks or troubleshooting.

Dool allows you to view all of your system resources in real-time, you
can eg. compare disk utilization in combination with interrupts from your
IDE controller, or compare the network bandwidth numbers directly
with the disk throughput (in the same interval).

Dool gives you detailed selective information in columns and clearly
indicates in what magnitude and unit the output is displayed. Less
confusion, less mistakes. And most importantly, it makes it very easy
to write plugins to collect your own counters and extend in ways you
never expected.

%prep
%setup

%build

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog LICENSE README.md docs/*.html docs/*.adoc
%doc %{_mandir}/man1/dool.1*
%{_bindir}/dool
%{_datadir}/dool/

%changelog
* Thu Jun 05 2025 Fanjun Kong <fanjunkong@tencent.com> - 1.3.5-1
- import version 1.3.5 from upstream
